This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1282111 - [abrt] libreoffice-core: getLength(): soffice.bin killed by SIGSEGV
[abrt] libreoffice-core: getLength(): soffice.bin killed by SIGSEGV
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephan Bergmann
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a9ed78ab2b3d5487a14d0f023df...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-14 18:31 EST by Juergen
Modified: 2015-11-16 08:52 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-16 08:52:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.99 KB, text/plain)
2015-11-14 18:31 EST, Juergen
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-14 18:31 EST, Juergen
no flags Details
File: core_backtrace (9.70 KB, text/plain)
2015-11-14 18:31 EST, Juergen
no flags Details
File: dso_list (14.76 KB, text/plain)
2015-11-14 18:31 EST, Juergen
no flags Details
File: environ (2.20 KB, text/plain)
2015-11-14 18:31 EST, Juergen
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-14 18:31 EST, Juergen
no flags Details
File: maps (66.98 KB, text/plain)
2015-11-14 18:31 EST, Juergen
no flags Details
File: mountinfo (3.77 KB, text/plain)
2015-11-14 18:31 EST, Juergen
no flags Details
File: open_fds (880 bytes, text/plain)
2015-11-14 18:31 EST, Juergen
no flags Details
File: proc_pid_status (1012 bytes, text/plain)
2015-11-14 18:32 EST, Juergen
no flags Details
File: var_log_messages (334 bytes, text/plain)
2015-11-14 18:32 EST, Juergen
no flags Details

  None (edit)
Description Juergen 2015-11-14 18:31:41 EST
Version-Release number of selected component:
libreoffice-core-4.4.5.2-11.fc22

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=5
crash_function: getLength
executable:     /usr/lib64/libreoffice/program/soffice.bin
global_pid:     3500
kernel:         4.2.5-201.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 getLength at /usr/src/debug/libreoffice-4.4.5.2/include/rtl/ustring.hxx:394
 #1 operator() at /usr/src/debug/libreoffice-4.4.5.2/configmgr/source/config_map.hxx:24
 #2 _M_lower_bound at /usr/include/c++/5.1.1/bits/stl_tree.h:1628
 #3 std::_Rb_tree<rtl::OUString, std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> >, std::_Select1st<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > >, LengthContentsCompare, std::allocator<std::pair<rtl::OUString const, rtl::Reference<configmgr::Node> > > >::find at /usr/include/c++/5.1.1/bits/stl_tree.h:2295
 #4 find at /usr/include/c++/5.1.1/bits/stl_map.h:843
 #6 configmgr::XcuParser::handleSetNode at /usr/src/debug/libreoffice-4.4.5.2/configmgr/source/xcuparser.cxx:891
 #7 configmgr::XcuParser::startElement at /usr/src/debug/libreoffice-4.4.5.2/configmgr/source/xcuparser.cxx:160
 #8 configmgr::XcdParser::startElement at /usr/src/debug/libreoffice-4.4.5.2/configmgr/source/xcdparser.cxx:62
 #9 configmgr::ParseManager::parse at /usr/src/debug/libreoffice-4.4.5.2/configmgr/source/parsemanager.cxx:67
 #10 configmgr::Components::parseXcdFiles at /usr/src/debug/libreoffice-4.4.5.2/configmgr/source/components.cxx:706
Comment 1 Juergen 2015-11-14 18:31:47 EST
Created attachment 1094233 [details]
File: backtrace
Comment 2 Juergen 2015-11-14 18:31:48 EST
Created attachment 1094234 [details]
File: cgroup
Comment 3 Juergen 2015-11-14 18:31:50 EST
Created attachment 1094235 [details]
File: core_backtrace
Comment 4 Juergen 2015-11-14 18:31:52 EST
Created attachment 1094236 [details]
File: dso_list
Comment 5 Juergen 2015-11-14 18:31:53 EST
Created attachment 1094237 [details]
File: environ
Comment 6 Juergen 2015-11-14 18:31:54 EST
Created attachment 1094238 [details]
File: limits
Comment 7 Juergen 2015-11-14 18:31:56 EST
Created attachment 1094239 [details]
File: maps
Comment 8 Juergen 2015-11-14 18:31:58 EST
Created attachment 1094240 [details]
File: mountinfo
Comment 9 Juergen 2015-11-14 18:31:59 EST
Created attachment 1094241 [details]
File: open_fds
Comment 10 Juergen 2015-11-14 18:32:01 EST
Created attachment 1094242 [details]
File: proc_pid_status
Comment 11 Juergen 2015-11-14 18:32:02 EST
Created attachment 1094243 [details]
File: var_log_messages
Comment 12 Stephan Bergmann 2015-11-16 06:28:42 EST
Does it keep crashing when you try to start LibreOffice, or did this only happen once?
Comment 13 Juergen 2015-11-16 07:24:43 EST
Hello,
thanks for the quick answer.
The fall was by the start of the programme. Then has tried to begin several times "LibreOffice", but without success. Only after a new start of the calculator I could open "LibreOffice Calc" again.
Today this mistake has not appeared yet.
Thanks
Jürgen
(Excuse for my bad English, it is the result of a translator's programme)
Comment 14 Stephan Bergmann 2015-11-16 08:52:13 EST
(See also bug 1282177.)

Given the backtrace causing a crash is inexplicable, and it working fine again after a reboot, I'd like to write this off as some hardware issue rather.  I'll close this as INSUFFICIENT_DATA for now; feel free to reopen if it happens again.

Note You need to log in before you can comment on or make changes to this bug.